Ubuntu/Debian 半自動滾動更新應該是可行的 [論壇 - Ubuntu 哈啦]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊



Ubuntu/Debian 半自動滾動更新應該是可行的
會員四級
註冊日期:
2015/9/29 21:19
所屬群組:
已註冊使用者
等級: 16
HP : 0 / 380
MP : 100 / 3681
EXP: 22
離線
Ubuntu/Debian 用版本來區隔套件

對Linux的理解 安裝套件: 套件包解壓縮到定位而已 頂多執行一下腳本.

把 sources 換了不就可以滾了 sid 跟 xenial 套件都能通用了 還有什麼不可以的

2016/3/30 20:48
應用擴展 工具箱
回覆: Ubuntu/Debian 半自動滾動更新應該是可行的
會員四級
註冊日期:
2015/9/29 21:19
所屬群組:
已註冊使用者
等級: 16
HP : 0 / 380
MP : 100 / 3681
EXP: 22
離線
TEST1
版本差距太大不能滾...

Ubuntu 14.04 滾到 16.04 失敗
部份檔案目錄結構不太一樣 套件有依賴問題 有些套件被淘汰不能滿足依賴...

2016/3/31 11:10
應用擴展 工具箱
回覆: Ubuntu/Debian 半自動滾動更新應該是可行的
會員五級
註冊日期:
2012/4/22 10:50
所屬群組:
已註冊使用者
等級: 34
HP : 166 / 831
MP : 548 / 16390
EXP: 25
離線
姜至奐 寫到:
TEST1
版本差距太大不能滾...

Ubuntu 14.04 滾到 16.04 失敗
部份檔案目錄結構不太一樣 套件有依賴問題 有些套件被淘汰不能滿足依賴...



「14.04」不是使用「systemd」,所以我個人推測「14.04」和「16.04」會有不小的差距。



2016/3/31 12:36
應用擴展 工具箱
回覆: Ubuntu/Debian 半自動滾動更新應該是可行的
會員四級
註冊日期:
2015/9/29 21:19
所屬群組:
已註冊使用者
等級: 16
HP : 0 / 380
MP : 100 / 3681
EXP: 22
離線
應該要從 15.04 開始滾才對

2016/3/31 14:31
應用擴展 工具箱
回覆: Ubuntu/Debian 半自動滾動更新應該是可行的
會員四級
註冊日期:
2015/9/29 21:19
所屬群組:
已註冊使用者
等級: 16
HP : 0 / 380
MP : 100 / 3681
EXP: 22
離線
ubuntu 15.04 -> ubuntu 16.04 試滾成功 完美無依賴問題

由此可見 Ubuntu 14.04 跟 Ubuntu 15.04 是個分界線
那照理說 ubuntu 14 以前的版本頂多只能滾到 14.04 updates (14.10 已經取消 改為 trusty-updates )

逐步慢慢滾 依賴問題比較好處理. 一次太多會花掉



一次跨太多版滾 時間比重新安裝還久


邏輯果然是正確的


知道個大概即可
用 debootstrap 安裝的人 我覺得是不屑裝發行版的

2016/3/31 20:42
應用擴展 工具箱
回覆: Ubuntu/Debian 半自動滾動更新應該是可行的
會員五級
註冊日期:
2010/9/16 14:08
所屬群組:
已註冊使用者
等級: 25
HP : 0 / 600
MP : 256 / 14652
EXP: 3
離線
姜至奐 寫到:

用 debootstrap 安裝的人 我覺得是不屑裝發行版的 :-)



我覺得所謂的"不屑裝發行版"這樣一個概念,
"相對的"應該要是,只屑去用 http://www.linuxfromscratch.org
才是~~~

2016/3/31 22:51
----------------
個人網路文字作品集:
MacOSX10.5.8 安裝、設定、使用,個人經驗分享,正體中文版;以Windows思維用Linux,GNOME桌面篇;PDF
http://www.scribd.com/ianian1979
全字庫注音輸入法表格檔2017 (搭配CNS11643中文全字庫規格的Unicode格式傳統注音輸入法對照表)
https://sites.google.com/site/ianho7979/InputMethodTables
應用擴展 工具箱
回覆: Ubuntu/Debian 半自動滾動更新應該是可行的
會員四級
註冊日期:
2015/9/29 21:19
所屬群組:
已註冊使用者
等級: 16
HP : 0 / 380
MP : 100 / 3681
EXP: 22
離線
IanHo 寫到:


我覺得所謂的"不屑裝發行版"這樣一個概念,
"相對的"應該要是,只屑去用 http://www.linuxfromscratch.org
才是~~~



不屑裝發行版, 後面少了 Live CD .

我承認字沒打好

這個確實讓我有點屑

不過只是從原始碼重新編譯, 沒動什麼大手術,改原始碼. 這我覺得一點意義都沒有.
這樣搞有點浪費時間.

既然是從原始碼重新編譯,那編譯好的套件,還是一樣,功能沒變.

這樣搞起來跟任何一個發行版,沒什麼差異.

動大手術 Linux 幾乎是沒必要.

有必要的是像這一個
http://www.openingupnorthkorea.com/downloads-2

用別人編譯好的套件從底層建立自己個性化的系統,這才是省時又方便的選擇.



另外很多基於 Debian 的發行版也沒有你認為的 就是要 linux from scratch.
Ubuntu 很多還是直接拿 Debian 的. 沒有你認為的應該要 linux from scratch.
Linux Mint 也沒有你認為應該要的 linux from scratch.

Linux 的 Binary 檔案, 可以通用這你知道嗎.
你一定不知道
知道的話,就不會什麼一定要 Debian jessie 官方發行的

2016/4/1 8:46
應用擴展 工具箱


 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.